Skip to main content

Ip Access List

View as Markdown

Get

GET /api/2.0/ip-access-lists/{list_id}

Gets an IP access list, specified by its list ID.

API scopes: networking

Parameters

list_idstringpath

The ID for the corresponding IP access list

Response

ip_access_listobject
Show child attributesHide child attributes
list_idstring

Universally unique identifier (UUID) of the IP access list.

labelstring

Label for the IP access list. This cannot be empty.

Example: Office VPN

ip_addressesarray of string

Example: 192.168.100.0/22

address_countint32

Total number of IP or CIDR values.

Example: 2

list_typestring

Values: ALLOW, BLOCK

created_atint64

Creation timestamp in milliseconds.

Example: 1580265020299

created_byint64

User ID of the user who created this list.

Example: 202480738464078

updated_atint64

Update timestamp in milliseconds.

Example: 1580265020299

updated_byint64

User ID of the user who updated this list.

Example: 202480738464089

enabledboolean

Specifies whether this IP access list is enabled.

Create

POST /api/2.0/ip-access-lists

Creates an IP access list for this workspace.

A list can be an allow list or a block list. See the top of this file for a description of how the server treats allow lists and block lists at runtime.

When creating or updating an IP access list:

  • For all allow lists and block lists combined, the API supports a maximum of 1000 IP/CIDR values, where one CIDR counts as a single value. Attempts to exceed that number return error 400 with error_code value QUOTA_EXCEEDED.
  • If the new list would block the calling user's current IP, error 400 is returned with error_code value INVALID_STATE.

It can take a few minutes for the changes to take effect. Note: Your new IP access list has no effect until you enable the feature. See workspaceconf/setStatus

API scopes: networking

Request body

labelstring

Label for the IP access list. This cannot be empty.

Example: Office VPN

list_typestring

Values: ALLOW, BLOCK

ip_addressesarray of string

Example: 192.168.100.0/22

Response

ip_access_listobject
Show child attributesHide child attributes
list_idstring

Universally unique identifier (UUID) of the IP access list.

labelstring

Label for the IP access list. This cannot be empty.

Example: Office VPN

ip_addressesarray of string

Example: 192.168.100.0/22

address_countint32

Total number of IP or CIDR values.

Example: 2

list_typestring

Values: ALLOW, BLOCK

created_atint64

Creation timestamp in milliseconds.

Example: 1580265020299

created_byint64

User ID of the user who created this list.

Example: 202480738464078

updated_atint64

Update timestamp in milliseconds.

Example: 1580265020299

updated_byint64

User ID of the user who updated this list.

Example: 202480738464089

enabledboolean

Specifies whether this IP access list is enabled.

Update

PATCH /api/2.0/ip-access-lists/{list_id}

Updates an existing IP access list, specified by its ID.

A list can include allow lists and block lists. See the top of this file for a description of how the server treats allow lists and block lists at run time.

When updating an IP access list:

  • For all allow lists and block lists combined, the API supports a maximum of 1000 IP/CIDR values, where one CIDR counts as a single value. Attempts to exceed that number return error 400 with error_code value QUOTA_EXCEEDED.
  • If the updated list would block the calling user's current IP, error 400 is returned with error_code value INVALID_STATE.

It can take a few minutes for the changes to take effect. Note that your resulting IP access list has no effect until you enable the feature. See workspaceconf/setStatus.

API scopes: networking

Parameters

list_idstringpath

The ID for the corresponding IP access list

Request body

labelstring

Label for the IP access list. This cannot be empty.

Example: Office VPN

list_typestring

Values: ALLOW, BLOCK

ip_addressesarray of string

Example: 192.168.100.0/22

enabledboolean

Specifies whether this IP access list is enabled.

Response

ip_access_listobject
Show child attributesHide child attributes
list_idstring

Universally unique identifier (UUID) of the IP access list.

labelstring

Label for the IP access list. This cannot be empty.

Example: Office VPN

ip_addressesarray of string

Example: 192.168.100.0/22

address_countint32

Total number of IP or CIDR values.

Example: 2

list_typestring

Values: ALLOW, BLOCK

created_atint64

Creation timestamp in milliseconds.

Example: 1580265020299

created_byint64

User ID of the user who created this list.

Example: 202480738464078

updated_atint64

Update timestamp in milliseconds.

Example: 1580265020299

updated_byint64

User ID of the user who updated this list.

Example: 202480738464089

enabledboolean

Specifies whether this IP access list is enabled.

Delete

DELETE /api/2.0/ip-access-lists/{list_id}

Deletes an IP access list, specified by its list ID.

API scopes: networking

Parameters

list_idstringpath

The ID for the corresponding IP access list